﻿<%@ Control Language="C#" AutoEventWireup="true"  %>
<%@ Import Namespace="System.Xml.XPath" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Register Assembly="BlazerStudios.WeatherWebpart, Version=1.0.0.0, Culture=neutral, PublicKeyToken=fe9855add5224c49" Namespace="BlazerStudios.WeatherWebpart" TagPrefix="test" %>
<%@ Register Assembly="RadAjax.Net2, Version=1.6.2.0, Culture=neutral, PublicKeyToken=3f7b438d1c762d0b"
 Namespace="Telerik.WebControls" TagPrefix="radA" %>

<script runat="server">
    private bool ajaxtick = false;
    protected void RadAjaxTimer1_Tick(object sender, Telerik.WebControls.TickEventArgs e)
    {
        ajaxtick = true;
    }
    protected void Page_PreRender(object x, EventArgs y)
    {
        WeatherWebpart webpart = (WeatherWebpart)this.Parent;
        if (webpart.MyProperty == "")
        {
            lblOpenToolpan.Text = "<br>&nbsp;Please " + "<a href=\"javascript:MSOTlPn_ShowToolPane2Wrapper('Edit', this, '" + this.Parent.ID + "')\">open the tool pane</a>" + " to configure this webpart.<br><br>";
            RadAjaxPanel1.Visible = false;
        }
        else
        {
            lblOpenToolpan.Visible = false;
            RadAjaxPanel1.Visible = true;
            if (ajaxtick)
            {

                Label1.Text = "";
                if (webpart.MyProperty == "")
                {
                    //Label lbl2 = new Label();
                    //Label1.Text = "<br>&nbsp;Please " + "<a href=\"javascript:MSOTlPn_ShowToolPane2Wrapper('Edit', this, '" + this.Parent.ID + "')\">open the tool pane</a>" + " to configure this webpart.<br><br>";
                    //this.Controls.Add(lbl2);
                }
                else
                {
                    string labeltext = "<div align=center><table align=center cellpadding=3 cellspacing=3><tr>";
                    try
                    {
                        StringReader stream = new StringReader(webpart.XSLT);
                        XPathDocument doc = new XPathDocument(stream);
                        XPathNavigator navigator = doc.CreateNavigator();
                        System.Xml.Xsl.XslTransform transform = new System.Xml.Xsl.XslTransform();
                        transform.Load(navigator);
                        WebClient wc = new WebClient();
                        Xml1.DocumentContent = wc.DownloadString("http://weather.yahooapis.com/forecastrss?p=" + webpart.MyProperty);
                        Xml1.Transform = transform;
                        //Label1.Text = webpart.MyProperty + " " + DateTime.Now;

                    }
                    catch (Exception ex)
                    {
                        Label1.Text = "Could not contact web service provider<br>" + ex.Message + ex.StackTrace;
                    }
                }
                //RadAjaxTimer1.Stop();
                RadAjaxTimer1.Interval = 10000000;
            }
        }
    }
</script>
        <asp:Label runat="server" ID="lblOpenToolpan"></asp:Label>
        <radA:RadAjaxPanel ID="RadAjaxPanel1" runat="server"  RadControlsDir="~/_layouts/BlazerStudios.RadControls/"
            EnablePageHeadUpdate="False" HorizontalAlign="NotSet" 
            LoadingPanelID="AjaxLoadingPanel1" ScrollBars="None">
            <asp:Label runat="server" ID="Label1"></asp:Label>
            <asp:Xml ID="Xml1" runat="server"></asp:Xml>
            <radA:RadAjaxTimer ID="RadAjaxTimer1" runat="server" 
            Interval="100000" AutoStart="true" RadControlsDir="~/_layouts/BlazerStudios.RadControls/"
            InitialDelayTime="1"                ontick="RadAjaxTimer1_Tick" />
        </radA:RadAjaxPanel>
        <radA:AjaxLoadingPanel ID="AjaxLoadingPanel1" RadControlsDir="~/_layouts/BlazerStudios.RadControls/" runat="server"  Height="100px" Width="75px">
            <asp:Image ID="Image1" runat="server" AlternateText="Loading..." ImageUrl="~/_layouts/BlazerStudios.RadControls/Ajax/Skins/Default/LoadingProgressBar.gif" />
        </radA:AjaxLoadingPanel>