﻿<%@ Control Language="C#" AutoEventWireup="true"  %>
<%@ Import Namespace="System.Xml.XPath" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>
<%@ Register Assembly="BlazerStudios.WeatherWebpart, Version=1.0.0.0, Culture=neutral, PublicKeyToken=fe9855add5224c49" Namespace="BlazerStudios.WeatherWebpart" TagPrefix="test" %>
<%@ Register Assembly="RadAjax.Net2, Version=1.6.2.0, Culture=neutral, PublicKeyToken=3f7b438d1c762d0b"
 Namespace="Telerik.WebControls" TagPrefix="radA" %>

<script runat="server">
    private bool ajaxtick = false;
    protected void RadAjaxTimer1_Tick(object sender, Telerik.WebControls.TickEventArgs e)
    {
        ajaxtick = true;
    }
    protected void Page_PreRender(object x, EventArgs y)
    {
        if (ajaxtick)
        {
            WeatherWebpart webpart = (WeatherWebpart)this.Parent;
            string labeltext = "<div align=center><table align=center cellpadding=3 cellspacing=3><tr>";
            try
            {
                ndfdXML weatherservice = new BlazerStudios.WeatherWebpart.ndfdXML();
                string result = weatherservice.LatLonListZipCode(webpart.MyProperty);
                StringReader stream = new StringReader(result);
                XPathDocument doc = new XPathDocument(stream);
                XPathNavigator navigator = doc.CreateNavigator();
                XPathNodeIterator nodes = navigator.Select("/dwml/latLonList");
                nodes.MoveNext();
                string latlon = nodes.Current.InnerXml;
                char[] splitter = { ',' };
                string[] latlons = latlon.Split(splitter);
                string lat = latlons[0];
                string lon = latlons[1];
                weatherParametersType weatherParams = new weatherParametersType();
                string xmlWeather;



                DayWeatherData[] arrDayWeather;
                DateTime dtStart = new DateTime(DateTime.Now.Year, 1, 1, 0, 0, 0);

                xmlWeather = weatherservice.NDFDgen(decimal.Parse(lat), decimal.Parse(lon), productType.timeseries, dtStart, dtStart.AddYears(1), weatherParams);

                arrDayWeather = WeatherXMLParser.ParseWeatherXML(xmlWeather);
                foreach (DayWeatherData dt in arrDayWeather)
                {
                    if (dt.CloudIconURL!=null)
                        labeltext += "<td align=center>" + dt.DateTime.ToLongDateString() + "<br>" +
                            "<img src=" + dt.CloudIconURL + " /><br>" +
                            "<b>" + dt.HighTempF + "&#176;F</b><br>" +
                            "<b>" + dt.LowTempC + "&#176;F</b><br></td>";
                }
                labeltext += "</tr></table></div>";
                Label1.Text = labeltext;
                
            }
            catch (Exception ex)
            {
                Label1.Text = "Could not contact web service provider<br>" + ex.Message + ex.StackTrace;
            }
            RadAjaxTimer1.Stop();
        }
    }
</script>

        <radA:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Height="100px" RadControlsDir="~/_layouts/BlazerStudios.RadControls/"
            Width="300px" EnablePageHeadUpdate="False" HorizontalAlign="NotSet" 
            LoadingPanelID="AjaxLoadingPanel1" ScrollBars="None">
            <asp:Label runat="server" ID="Label1"></asp:Label>
            <radA:RadAjaxTimer ID="RadAjaxTimer1" runat="server" 
            Interval="100000" AutoStart="true" RadControlsDir="~/_layouts/BlazerStudios.RadControls/"
            InitialDelayTime="1"                ontick="RadAjaxTimer1_Tick" />
        </radA:RadAjaxPanel>
        <radA:AjaxLoadingPanel ID="AjaxLoadingPanel1" RadControlsDir="~/_layouts/BlazerStudios.RadControls/" runat="server"  Height="100px" Width="75px">
            <asp:Image ID="Image1" runat="server" AlternateText="Loading..." ImageUrl="~/_layouts/BlazerStudios.RadControls/Ajax/Skins/Default/loading7.gif" />
        </radA:AjaxLoadingPanel>